#!/bin/bash
# TMD700KissON
# Attiva la modalit TNC KISS del Kenwood TM-D700
# ver 0.2
# data 20070112
# IV3UNM Massimiliano 

# Porta seriali in cui  collegato il TM-D700
PortSerial=/dev/ttyS0

echo Configura il TM-D700 in modalita TNC KISS sulla porta seriale $PortSerial
echo PS 1 > $PortSerial
# Attiva il TNC PACKET (TNC PKT) sul TM-D700
echo Attivo il TNC
echo TNC 2 > $PortSerial
# attende 3 secondi che vegna attivato il TNC prima di procedere oltre
sleep 3 
# pone il TM-D700 in modalita comandi TNC (cmd)
echo TC 0 > $PortSerial
# seleziona la velocita packet a 1200bps. Per 9600bps sostituire 1200 con 9600
echo HBAUD 1200 > $PortSerial
# setta la modalita KISS
echo Attivo TNC in modalita KISS
echo KISS ON > $PortSerial
# riavvia il TNC per attivare il modo KISS. 
echo RESTART > $PortSerial
echo La conferma del modo TNC KISS viene data dal lampeggiano STA + CON per 2 secondo sul display.
